=== debian/changelog ===
charliecloud (0.2.3~git20171120.1a5609e-2) unstable; urgency=medium

  * Switch Maintainer to Debian HPC team

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 07 Jan 2018 16:56:19 +0100

charliecloud (0.2.3~git20171120.1a5609e-1) unstable; urgency=medium

  * Initial release (Closes: #882259)

 -- Lucas Nussbaum <lucas@debian.org>  Sun, 07 Jan 2018 09:35:19 +0100
