## charliecloud 0.2.3

=== Makefile ===
--- 
+++ 
@@ -115,6 +115,11 @@
 	install -d $(LIBEXEC_INST)
 	install -pm 644 -t $(LIBEXEC_INST) bin/base.sh bin/version.sh
 	sed -i "s#^LIBEXEC=.*#LIBEXEC=$(LIBEXEC_RUN)#" $(LIBEXEC_INST)/base.sh
+#       man pages if they were built
+	if [ -f man/charliecloud.1 ]; then \
+	    install -d $(INSTALL_PREFIX)/share/man/man1; \
+	    install -pm 644 -t $(INSTALL_PREFIX)/share/man/man1 man/*.1; \
+	fi
 #       misc "documentation"
 	install -d $(DOC)
 	install -pm 644 -t $(DOC) COPYRIGHT LICENSE README.rst
