=== debian/changelog ===
charliecloud (0.2.3-2) unstable; urgency=medium

  [ Peter Wienemann ]
  * Check unprivileged_userns_clone kernel setting with cat instead of sysctl

  [ Lucas Nussbaum ]
  * Prepare changelog for upload.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 30 Apr 2018 15:41:33 +0200

charliecloud (0.2.3-1) unstable; urgency=medium

  [ Peter Wienemann ]
  * Restrict architecture to linux-any. Closes: #888395
  * Extend list of uploaders.
  * New upstream version 0.2.3.
  * Add man pages.
  * Display a warning if unprivileged user namespaces are disabled.

  [ Lucas Nussbaum ]
  * Prepare changelog for upload.

 -- Lucas Nussbaum <lucas@debian.org>  Tue, 24 Apr 2018 21:22:33 +0200
