=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <wienemann@physik.uni-bonn.de>
 Build-Depends: debhelper (>= 11~),
+               po-debconf,
                python,
                python-sphinx,
                python-sphinx-rtd-theme,
@@ -14,7 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
 
 Package: charliecloud
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: charliecloud-doc,
