=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	dh_installdebconf
 	rm -rf debian/tmp/usr/share/doc/charliecloud/test
 	rm debian/tmp/usr/share/doc/charliecloud/COPYRIGHT
 	rm debian/tmp/usr/share/doc/charliecloud/LICENSE
