## charliecloud 0.2.5

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,14 @@
 
 .PHONY: all
 all: VERSION.full bin/version.h bin/version.sh
-	cd bin && $(MAKE) SETUID=$(SETUID) all
+	cd bin && $(MAKE) all
 	cd test && $(MAKE) all
 	cd examples/syscalls && $(MAKE) all
 
 .PHONY: clean
 clean:
 	cd bin && $(MAKE) clean
+	cd doc-src && $(MAKE) clean
 	cd test && $(MAKE) clean
 	cd examples/syscalls && $(MAKE) clean
 
@@ -25,15 +26,17 @@
 #
 ifeq ($(shell test -d .git && fgrep -q \~ VERSION && echo true),true)
 .PHONY: VERSION.full  # depends on git metadata, not a simple file
-VERSION.full:
+VERSION.full: VERSION
+	(git --version > /dev/null 2>&1) || \
+          (echo "This is a Git working directory but no git found." && false)
 	printf '%s+%s%s\n' \
-	       $$(cat VERSION) \
+	       $$(cat $<) \
 	       $$(git rev-parse --short HEAD) \
 	       $$(git diff-index --quiet HEAD || echo '.dirty') \
-	       > VERSION.full
+	       > $@
 else
 VERSION.full: VERSION
-	cp VERSION VERSION.full
+	cp $< $@
 endif
 bin/version.h: VERSION.full
 	echo "#define VERSION \"$$(cat $<)\"" > $@
@@ -42,11 +45,13 @@
 
 # Yes, this is bonkers. We keep it around even though normal "git archive" or
 # the zip files on Github work, because it provides an easy way to create a
-# self-contained tarball with embedded Bats.
+# self-contained tarball with embedded Bats and man pages.
+#
+# You must "cd doc-src && make" before this will work.
 .PHONY: export
-export: VERSION.full
+export: VERSION.full man/charliecloud.1
 	test -d .git -a -f test/bats/.git  # need recursive Git checkout
-	git diff-index --quiet HEAD        # need clean working directory
+#	git diff-index --quiet HEAD        # need clean working directory
 	git archive HEAD --prefix=charliecloud-$$(cat VERSION.full)/ \
                          -o main.tar
 	cd test/bats && \
@@ -56,7 +61,7 @@
 	tar Af main.tar bats.tar
 	tar --xform=s,^,charliecloud-$$(cat VERSION.full)/, \
             -rf main.tar \
-            VERSION.full
+            man/*.1 VERSION.full
 	gzip -9 main.tar
 	mv main.tar.gz charliecloud-$$(cat VERSION.full).tar.gz
 	rm bats.tar
@@ -75,6 +80,17 @@
 # default is to use that also for DESTDIR. If DESTDIR is provided in addition,
 # we use that for installation.
 #
+# PREFIX can be relative unless DESTDIR is set. Absolute paths are not
+# canonicalized.
+ifneq ($(PREFIX),)
+ifneq ($(shell echo "$(PREFIX)" | cut -c1),/)
+  ifdef DESTDIR
+    $(error PREFIX must be absolute if DESTDIR is set)
+  endif
+  override PREFIX := $(abspath $(PREFIX))
+  $(warning Relative PREFIX converted to $(PREFIX))
+endif
+endif
 INSTALL_PREFIX := $(if $(DESTDIR),$(DESTDIR)/$(PREFIX),$(PREFIX))
 BIN := $(INSTALL_PREFIX)/bin
 DOC := $(INSTALL_PREFIX)/share/doc/charliecloud
@@ -98,19 +114,6 @@
 	for scriptfile in $$(find bin -type f -executable -printf "%f\n"); do \
 	    sed -i "s#^LIBEXEC=.*#LIBEXEC=$(LIBEXEC_RUN)#" $(BIN)/$${scriptfile}; \
 	done
-#       Install ch-run setuid if either SETUID=yes is specified or the binary
-#       in the build directory is setuid.
-	if [ -n "$(SETUID)" ]; then \
-            if [ $$(id -u) -eq 0 ]; then \
-	        chown root $(BIN)/ch-run; \
-	        chmod u+s $(BIN)/ch-run; \
-	    else \
-	        sudo chown root $(BIN)/ch-run; \
-	        sudo chmod u+s $(BIN)/ch-run; \
-	    fi \
-	elif [ -u bin/ch-run ]; then \
-	    sudo chmod u+s $(BIN)/ch-run; \
-	fi
 #       executable helpers
 	install -d $(LIBEXEC_INST)
 	install -pm 644 -t $(LIBEXEC_INST) bin/base.sh bin/version.sh
@@ -122,7 +125,7 @@
 	fi
 #       misc "documentation"
 	install -d $(DOC)
-	install -pm 644 -t $(DOC) COPYRIGHT LICENSE README.rst
+	install -pm 644 -t $(DOC) LICENSE README.rst
 #       examples
 	for i in examples/syscalls examples/{serial,mpi,other}/*; do \
 	    install -d $(DOC)/$$i; \
@@ -140,8 +143,19 @@
 	install -pm 755 -t $(TEST) test/make-perms-test
 	install -d $(TEST)/chtest
 	install -pm 644 -t $(TEST)/chtest test/chtest/*
-	chmod 755 $(TEST)/chtest/Build $(TEST)/chtest/*.py
+	chmod 755 $(TEST)/chtest/{Build,*.py,printns}
 	ln -sf ../../../../bin $(TEST)/bin
+#       shared library tests
+	install -d $(TEST)/sotest $(TEST)/sotest/bin $(TEST)/sotest/lib
+	install -pm 755 -t $(TEST)/sotest test/sotest/files_inferrable.txt \
+	                                  test/sotest/files_noninferrable.txt \
+                                          test/sotest/libsotest.so.1.0 \
+	                                  test/sotest/sotest \
+	                                  test/sotest/sotest.c
+	ln -sf ./libsotest.so.1.0 $(TEST)/sotest/libsotest.so
+	ln -sf ./libsotest.so.1.0 $(TEST)/sotest/libsotest.so.1
+	install -pm 755 -t $(TEST)/sotest/bin test/sotest/bin/sotest
+	install -pm 755 -t $(TEST)/sotest/lib test/sotest/lib/libsotest.so.1.0
 #       Bats (if embedded)
 	if [ -d test/bats/bin ]; then \
 	    install -d $(TEST)/bats && \
@@ -154,3 +168,9 @@
 	    ln -sf ../libexec/bats $(TEST)/bats/bin/bats && \
 	    ln -sf bats/bin/bats $(TEST)/bats; \
 	fi
+
+.PHONY: deb
+deb:
+	ln -s packaging/debian
+	debuild -d -i -us -uc
+	rm -f debian
