=== debian/changelog ===
charliecloud (0.2.5-1) unstable; urgency=medium

  [ Alban Vidal ]
  * Change po-debconf service by systemctl
  * Update all po-debconf files with systemctl

  [ Jonathan Bustillos ]
  * Add Spanish translation of debconf template (closes: #900715)

  [ Peter Wienemann ]
  * Update po files due to update of debconf template
  * Update README.Debian to get description in sync with debconf template
  * Add debconf-updatepo to "clean" target in debian/rules file
  * charliecloud-doc: Mark package Multi-Arch: foreign
  * New upstream version 0.2.4
  * Adapt debian/rules file to upstream's removal of COPYRIGHT file
  * Remove duplicate doc-src clean-up in debian/rules
  * Add pv to the list of suggested packages for charliecloud
  * Switch to Standards-Version 4.1.4 (no changes required)
  * Update es.po file: Use systemctl to restart procps
  * New upstream version 0.2.5

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 14 Jun 2018 16:27:40 +0200
