=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-sphinx,
                python-sphinx-rtd-theme,
                rsync
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
@@ -19,7 +19,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: charliecloud-doc,
-          docker.io
+          docker.io,
+          pv
 Description: user-defined software stacks (UDSS) for HPC centers
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
  for high-performance computing (HPC) centers. This "bring your own software
@@ -36,6 +37,7 @@
 
 Package: charliecloud-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery,
          libjs-mathjax,
