## charliecloud 0.9.0

=== debian/changelog ===
charliecloud (0.9.0-1) unstable; urgency=medium

  [ Lucas Nussbaum ]
  * Add missing changes to changelog entry for 0.2.5-1

  [ Peter Wienemann ]
  * changelog: Correct contributor of Russian translation
  * changelog: Remove duplicate entries
  * New upstream version 0.9.0

  [ Adriano Rafael Gomes ]
  * Add Brazilian Portuguese translation of debconf template (closes: #903354)

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 16 Jul 2018 20:10:38 +0200
