=== debian/changelog ===
charliecloud (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Switch to Standards-Version 4.2.0 (no changes required)

 -- Peter Wienemann <wienemann@physik.uni-bonn.de>  Sat, 11 Aug 2018 22:22:31 +0200
