=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-sphinx,
                python-sphinx-rtd-theme,
                rsync
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
