## charliecloud 0.9.2

=== debian/changelog ===
charliecloud (0.9.2-1) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Add German translation of debconf template (closes: #906186)

  [ Peter Wienemann ]
  * Update my email address in list of uploaders
  * New upstream version 0.9.2
  * Switch to Standards-Version 4.2.1 (no changes required)

 -- Peter Wienemann <fossdev@posteo.de>  Fri, 14 Sep 2018 22:19:32 +0200
