## charliecloud 0.9.3

=== Makefile ===
--- 
+++ 
@@ -150,7 +150,6 @@
 #       shared library tests
 	install -d $(TEST)/sotest $(TEST)/sotest/bin $(TEST)/sotest/lib
 	install -pm 755 -t $(TEST)/sotest test/sotest/files_inferrable.txt \
-	                                  test/sotest/files_noninferrable.txt \
                                           test/sotest/libsotest.so.1.0 \
 	                                  test/sotest/sotest \
 	                                  test/sotest/sotest.c
