=== debian/changelog ===
charliecloud (0.9.3-1) unstable; urgency=medium

  * Update debian/copyright file
    - Update years
    - Adjust indentation
    - Remove section for bats (it is not included in upstream tarballs)
    - Add section for Debian packaging
  * New upstream version 0.9.3

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 06 Oct 2018 22:09:45 +0200
