=== test/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 export LC_ALL := C
-IMAGES :=      chtest/Build \
-               $(sort $(wildcard ./Build.*)) \
-               $(sort $(wildcard ./Dockerfile.*)) \
-               $(sort $(wildcard ./Docker_Pull.*)) \
-               $(sort $(wildcard ../examples/*/*/Build)) \
-               $(sort $(wildcard ../examples/*/*/Dockerfile)) \
-               $(sort $(wildcard ../examples/*/*/Docker_Pull))
-EXAMPLETESTS := $(sort $(wildcard ../examples/*/*/test.bats))
+images :=   chtest/Build \
+            $(sort $(wildcard ./Build.*)) \
+            $(sort $(wildcard ./Dockerfile.*)) \
+            $(sort $(wildcard ./Docker_Pull.*)) \
+            $(sort $(wildcard ../examples/*/*/Build)) \
+            $(sort $(wildcard ../examples/*/*/Dockerfile)) \
+            $(sort $(wildcard ../examples/*/*/Docker_Pull))
+examples := $(sort $(wildcard ../examples/*/*/test.bats))
 
 # Favor embedded Bats, if installed, over system Bats.
 export PATH := $(CURDIR)/bats/bin:$(PATH)
@@ -43,8 +43,8 @@
 	done; fi
 
 .PHONY: test-test
-test-test: $(EXAMPLETESTS)
-	bats $(EXAMPLETESTS)
+test-test: $(examples)
+	bats $(examples)
 
 .PHONY: clean
 clean:
@@ -57,10 +57,10 @@
 	which bats
 	bats --version
 
-build_auto.bats: $(IMAGES)
+build_auto.bats: $(images)
 	./make-auto build $^ > $@
 
-run_auto.bats: $(IMAGES)
+run_auto.bats: $(images)
 	./make-auto run $^ > $@
 
 sotest/bin/sotest: sotest/sotest
@@ -68,9 +68,13 @@
 sotest/lib/libsotest.so.1.0: sotest/libsotest.so.1.0
 	cp -a $^ $@
 
+# We hardcode gcc here because some other compilers (hello, Intel) link the
+# resulting binaries with extra shared libraries that are then not copied into
+# the container. (Issue #227.)
+
 sotest/sotest: sotest/sotest.c sotest/libsotest.so.1.0
-	$(CC) -o $@ -L./sotest -lsotest $^
+	gcc -o $@ -L./sotest -lsotest $^
 sotest/libsotest.so.1.0: sotest/libsotest.c
-	$(CC) -o $@ -shared -fPIC -Wl,-soname,libsotest.so.1 -lc $^
+	gcc -o $@ -shared -fPIC -Wl,-soname,libsotest.so.1 -lc $^
 	ln -f -s libsotest.so.1.0 sotest/libsotest.so
 	ln -f -s libsotest.so.1.0 sotest/libsotest.so.1
