=== debian/changelog ===
charliecloud (0.9.4-1) unstable; urgency=medium

  * Fix lintian warning missing-license-paragraph-in-dep5-copyright
  * New upstream version 0.9.4

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 18 Nov 2018 15:56:48 +0100
