=== debian/changelog ===
charliecloud (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 08 Dec 2018 22:19:36 +0100
