=== test/chtest/Makefile ===
BINS := chroot-escape mknods setgroups setuid
ALL := $(BINS)
CFLAGS := -std=gnu11 -Wall

.PHONY: all
all: $(ALL)

.PHONY: clean
clean:
	rm -f $(ALL)
