=== debian/changelog ===
charliecloud (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6

 -- Peter Wienemann <fossdev@posteo.de>  Fri, 14 Dec 2018 20:09:40 +0100
