=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
-Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <wienemann@physik.uni-bonn.de>
+Uploaders: Lucas Nussbaum <lucas@debian.org>, Peter Wienemann <fossdev@posteo.de>
 Build-Depends: debhelper (>= 11~),
                po-debconf,
                python,
                python-sphinx,
                python-sphinx-rtd-theme,
                rsync
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
