=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,12 @@
 	dh_auto_clean
 	rm -rf VERSION.full bin/version.h bin/version.sh
 	rm -rf html
-	make -C doc-src clean
+	debconf-updatepo
 
 override_dh_auto_install:
 	dh_auto_install
 	dh_installdebconf
 	rm -rf debian/tmp/usr/share/doc/charliecloud/test
-	rm debian/tmp/usr/share/doc/charliecloud/COPYRIGHT
 	rm debian/tmp/usr/share/doc/charliecloud/LICENSE
 	# Patch out bundled jquery.js
 	rm html/_static/jquery.js
